Subject: Re: [PATCH 0/2] Respecting core.autocrlf when showing objects

From: Jakub Narebski <[email-masked]>
Date: Thu, 12 Jun 2008 13:27:15 -0700 (PDT)

"J. Bruce Fields" <[email-masked]> writes:

> (Is there any advantage, then, to the :n:filename syntax to a user?
> Is it useful in any cases when they couldn't use HEAD or MERGE_HEAD
> instead?  If not I might be tempted to cut this bit entirely (or
> postpone it till later.)

I'm not sure, but I think that while HEAD and MERGE_HEAD vs :n:
differ in the tree represented (in the index trivial / tree conflicts
are resolved) they have the same file contents for conflicting files.

I think that :n: syntax is just shorter, especially for the ancestor
(c.f. $(git merge-base HEAD MERGE_HEAD)).

And of course there is octopus merge to be considered...
-- 
Jakub Narebski
Poland
ShadeHawk on #git